# -*- Mode: python; indent-tabs-mode: nil; tab-width: 40 -*-
# vim: set filetype=python:
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/

Classes = [
  {
    'cid': '{7463258c-6ef3-40a2-89a9-bb349596e927}',
    'contract_ids': ['@mozilla.org/calendar/acl-manager;1?type=default'],
    'jsm': 'resource:///modules/CalDefaultACLManager.jsm',
    'constructor': 'CalDefaultACLManager',
  },
  {
    'cid': '{e736f2bd-7640-4715-ab35-887dc866c587}',
    'contract_ids': ['@mozilla.org/calendar/timezone-service;1'],
    'jsm': 'resource:///modules/CalTimezoneService.jsm',
    'constructor': 'CalTimezoneService',
  },
  {
    'cid': '{b8db7c7f-c168-4e11-becb-f26c1c4f5f8f}',
    'contract_ids': ['@mozilla.org/calendar/alarm;1'],
    'jsm': 'resource:///modules/CalAlarm.jsm',
    'constructor': 'CalAlarm',
  },
  {
    'cid': '{4b7ae030-ed79-11d9-8cd6-0800200c9a66}',
    'contract_ids': ['@mozilla.org/calendar/alarm-monitor;1'],
    'jsm': 'resource:///modules/CalAlarmMonitor.jsm',
    'constructor': 'CalAlarmMonitor',
  },
  {
    'cid': '{7a9200dd-6a64-4fff-a798-c5802186e2cc}',
    'contract_ids': ['@mozilla.org/calendar/alarm-service;1'],
    'jsm': 'resource:///modules/CalAlarmService.jsm',
    'constructor': 'CalAlarmService',
  },
  {
    'cid': '{5f76b352-ab75-4c2b-82c9-9206dbbf8571}',
    'contract_ids': ['@mozilla.org/calendar/attachment;1'],
    'jsm': 'resource:///modules/CalAttachment.jsm',
    'constructor': 'CalAttachment',
  },
  {
    'cid': '{5c8dcaa3-170c-4a73-8142-d531156f664d}',
    'contract_ids': ['@mozilla.org/calendar/attendee;1'],
    'jsm': 'resource:///modules/CalAttendee.jsm',
    'constructor': 'CalAttendee',
  },
  {
    'cid': '{f42585e7-e736-4600-985d-9624c1c51992}',
    'contract_ids': ['@mozilla.org/calendar/manager;1'],
    'jsm': 'resource:///modules/CalCalendarManager.jsm',
    'constructor': 'CalCalendarManager',
  },
  {
    'cid': '{8e6799af-e7e9-4e6c-9a82-a2413e86d8c3}',
    'contract_ids': ['@mozilla.org/calendar/deleted-items-manager;1'],
    'jsm': 'resource:///modules/CalDeletedItems.jsm',
    'constructor': 'CalDeletedItems',
    'categories': {'profile-after-change': 'deleted-items-manager'},
  },
  {
    'cid': '{974339d5-ab86-4491-aaaf-2b2ca177c12b}',
    'contract_ids': ['@mozilla.org/calendar/event;1'],
    'jsm': 'resource:///modules/CalEvent.jsm',
    'constructor': 'CalEvent',
  },
  {
    'cid': '{29c56cd5-d36e-453a-acde-0083bd4fe6d3}',
    'contract_ids': ['@mozilla.org/calendar/freebusy-service;1'],
    'jsm': 'resource:///modules/CalFreeBusyService.jsm',
    'constructor': 'CalFreeBusyService',
  },
  {
    'cid': '{6fe88047-75b6-4874-80e8-5f5800f14984}',
    'contract_ids': ['@mozilla.org/calendar/ics-parser;1'],
    'jsm': 'resource:///modules/CalIcsParser.jsm',
    'constructor': 'CalIcsParser',
  },
  {
    'cid': '{207a6682-8ff1-4203-9160-729ec28c8766}',
    'contract_ids': ['@mozilla.org/calendar/ics-serializer;1'],
    'jsm': 'resource:///modules/CalIcsSerializer.jsm',
    'constructor': 'CalIcsSerializer',
  },
  {
    'cid': '{f41392ab-dcad-4bad-818f-b3d1631c4d93}',
    'contract_ids': ['@mozilla.org/calendar/itip-item;1'],
    'jsm': 'resource:///modules/CalItipItem.jsm',
    'constructor': 'CalItipItem',
  },
  {
    'cid': '{1153c73a-39be-46aa-9ba9-656d188865ca}',
    'contract_ids': ['@mozilla.org/network/protocol;1?name=webcal'],
    'jsm': 'resource:///modules/CalProtocolHandler.jsm',
    'constructor': 'CalProtocolHandlerWebcal',
  },
  {
    'cid': '{bdf71224-365d-4493-856a-a7e74026f766}',
    'contract_ids': ['@mozilla.org/network/protocol;1?name=webcals'],
    'jsm': 'resource:///modules/CalProtocolHandler.jsm',
    'constructor': 'CalProtocolHandlerWebcals',
  },
  {
    'cid': '{806b6423-3aaa-4b26-afa3-de60563e9cec}',
    'contract_ids': ['@mozilla.org/calendar/recurrence-date;1'],
    'jsm': 'resource:///modules/CalRecurrenceDate.jsm',
    'constructor': 'CalRecurrenceDate',
  },
  {
    'cid': '{04027036-5884-4a30-b4af-f2cad79f6edf}',
    'contract_ids': ['@mozilla.org/calendar/recurrence-info;1'],
    'jsm': 'resource:///modules/CalRecurrenceInfo.jsm',
    'constructor': 'CalRecurrenceInfo',
  },
  {
    'cid': '{76810fae-abad-4019-917a-08e95d5bbd68}',
    'contract_ids': ['@mozilla.org/calendar/relation;1'],
    'jsm': 'resource:///modules/CalRelation.jsm',
    'constructor': 'CalRelation',
  },
  {
    'cid': '{7af51168-6abe-4a31-984d-6f8a3989212d}',
    'contract_ids': ['@mozilla.org/calendar/todo;1'],
    'jsm': 'resource:///modules/CalTodo.jsm',
    'constructor': 'CalTodo',
  },
  {
    'cid': '{6877bbdd-f336-46f5-98ce-fe86d0285cc1}',
    'contract_ids': ['@mozilla.org/calendar/weekinfo-service;1'],
    'jsm': 'resource:///modules/CalWeekInfoService.jsm',
    'constructor': 'CalWeekInfoService',
  },
  {
    'cid': '{2547331f-34c0-4a4b-b93c-b503538ba6d6}',
    'contract_ids': ['@mozilla.org/calendar/startup-service;1'],
    'jsm': 'resource:///modules/CalStartupService.jsm',
    'constructor': 'CalStartupService',
    'categories': {'profile-after-change': 'calendar-startup-service'},
  },
  {
    'cid': '{c70acb08-464e-4e55-899d-b2c84c5409fa}',
    'contract_ids': ['@mozilla.org/calendar/mime-converter;1'],
    'jsm': 'resource:///modules/CalMimeConverter.jsm',
    'constructor': 'CalMimeConverter',
    'categories': {'simple-mime-converters': 'text/calendar'},
  },
]
